Firefox Update 52.0.1

Desperado

Evolutionär
Hi. Seit dem Update auf 55.0 funktioniert bei mir das Browser-schließen-Kreuz rechts oben nicht mehr. Ich kann den Browser nur noch über das Browser-Icon in der Taskleiste schließen.
Falls ihr das Update auch installiert habt, habt ihr auch dieses Problem?
 
D

ditto

Gast
Liegt an einer deiner Erweiterungen, falls du "Toolbar Buttons" nutzen solltest, kannst du löschen, funktioniert nicht mehr, ist eh steinalt.

Abgesicherter Modus
https://support.mozilla.org/de/kb/firefox-probleme-beheben-abgesicherter-modus

Firefox-Profil zurücksetzen:
https://support.mozilla.org/de/kb/firefox-bereinigen

PS der gelbe "Altes Addon" (legacy) besagt nicht, dass es deaktiviert wurde, sondern dass es mit v57 gar nicht mehr nutzbar sein wird, es ist nur ein Hinweis, dass man sich auf die Änderungen seelisch und moralisch einstellen sollte, statt beim Update auf v57 rumzujammern ;) Kann niemand sagen, er hätte es nicht gewusst!

Ach ja, Firefox 55.0.1 wird vorbereitet, behebt ein paar blöde Fehler, vorwiegend 64-bit.
 

Desperado

Evolutionär
Hi Ditto, vielen Dank für deine Hilfe. Die Erweiterung Tab Mix Plus war die Ursache. Habe dann in den Einstellungen der Erweiterung ein paar Änderungen ausprobiert. Nachdem ich die Sitzungswiederherstellung von Tab Mix Plus auf Firefox umgeändert hatte, funktionierte das Browser-Beenden über das Kreuz wieder.
Besten Dank nochmals :)
 
D

ditto

Gast
55.0.2 ist aktuell (seit vorgestern)
https://www.mozilla.org/en-US/firefox/all/?q=german
Wer es noch nicht als Update bekommen hat.

Der Hinweis "Alter Add-Typ" besagt nicht, dass es deaktiviert ist, sondern mit Firefox 57 nicht mehr nutzbar sein wird.

Für weitere Informationen bitte das Camp Firefox besuchen oder belästigen:
www.camp-firefox.de/forum/
Dort wurde schon alles dazu durchgekaut, auch, dass diverse Erweiterungen nicht mehr funktionieren.

Ein Tip dropsdem: Status-4-evar wird zwingend als beta benötigt, ist aber schlecht zu finden:
https://addons.mozilla.org/de/firefox/addon/status-4-evar/versions/beta

Ach ja, die AMO-Suche macht deutliche Unterschiede, ob ihr auf deutsch oder englisch sucht:
https://addons.mozilla.org/de/firefox/search/?q=webextension&appver=&platform= -> 72 Ergebnisse
https://addons.mozilla.org/en-us/firefox/search/?q=webextension&appver=&platform= -> 282 Ergebnisse

Hatte mich letzte Tage schon gewundert, hier steht die Lösung:
https://www.camp-firefox.de/forum/viewtopic.php?f=8&t=121364

Info: "Kompatibel mit Firefox 57" bedeutet nicht zwangsweise eine Webextension, das ist Mumpitz, egal wo ihr das grad lest. Hatte ich IMO aber auch schon mal erwähnt.

Derzeit lässt sich Firefox 57 nämlich noch so einstellen, dass er die alten "legacy" Erweiterungen nutzen kann, was aus meiner Sicht keinen Sinn ergibt, weil das spätestens mit der Beta wegfallen wird. Die neuen API sind noch lange nicht fertig, daher wird dieser Krampf so angeboten.

Wer in die Details von Erweiterungen schaut, sollte sich merken, dass "kompatibel ab v42" keine Webextension sein kann, das ist allenfalls ab v48, sicher ab v52 nutzbar.

Es gibt auch Hybriden, die sind aussen "alt", innen aber Webextension. ("embedded webextension"), uBlock Origin beta fällt auch darunter. Sobald dann das legacy Modell bei Firefox 57 wegfällt, wird zB ublock als reine Webextension verfügbar sein und entsprechend auch andere, die Umkapselung entfällt.
 

oxfort

Geht bald.
Habe die 55.02 seit gestern.

Musste so einige ADD-Ons wieder neu aktivieren müssen.

Vieles verstehe ich nicht und muss mich mal da durchlesen.;)
 
D

ditto

Gast
Ja, mit v55 werden die ersten wichtigen Änderungen sichtbar.

Noch ein "Problembär" -> TabMix Plus. Empfohlen für v55 wird die aktuelle Beta:
https://addons.mozilla.org/en-us/firefox/addon/tab-mix-plus/versions/beta
Quelle: https://www.camp-firefox.de/forum/viewtopic.php?f=1&t=121394

Den Session-Manager von TMP sollte man deaktivieren, weil buggy - war schon immer irgendwie buggy.
Moracs "Session Manager" ist eh besser.

Allgemein als Tip, einiges kann man auch so erhalten.

Alle Versionen auflisten:
"versions" an den Link anhängen
https://addons.mozilla.org/de/firefox/addon/ublock-origin/versions/

Betas/Dev-Versionen auflisten:
"versions/beta" anhängen
https://addons.mozilla.org/de/firefox/addon/ublock-origin/versions/beta

(siehe auch TMP oder oben S4E)
Kann hilfreich sein, wenn man schon das aktuelle Update hat und immer noch Fehler auftreten, so kann man selbst prüfen, ob Beta-Versionen vorhanden sind und diese Probleme beheben. Warum? Weil eine Final nicht auf die Beta erneuert, sondern auf eine Final wartet. Gerade bei TMP wurde man zuletzt öfters genötigt, eine Beta einzuspielen. Derzeit wird es von TMP keine Webextension geben, weil die API dafür nicht mal ansatzweise existiert. Es ist wohl was in Planung, das dauert aber, weil es keine Priorität hat. Von Chrome auf Firefox zu schliessen gibt es derzeit auch nichts vergleichbares, man muss sich selbst was zusammenstellen.

- "TabsPlus" Tabs öffnen/schliessen/anpinnen, rudimentäres arbeiten mit Tabs
- "Right Click Opens Link in New Tab" Links in neuem Tab/Fenster zu öffnen
- "Session Buddy" als Sitzungs-Manager
- "TabStack" Es wird wohl nur noch eine Tab-Leiste geben, kein Multi-Tab mehr. TabStack ist eine von mehreren Tab-Stapeln.


Ach ja, Webextensions zeigen an, welche Befugnisse sie haben wollen:
https://www.camp-firefox.de/forum/viewtopic.php?p=1043881#p1043881
"Benötigte Berechtigungen"
Und wenn wie im Beispiel was von Downloads/Verlauf steht wie für ein Stylish-Derivat, dann hat das lediglich den Sinn, dass zB Stylish online auf Styles und Updates prüfen kann, reguläre Funktionen.

Kommentar:
Das ein Moderator dort das nicht erkennt, ist allerdings schon ein Trauerspiel, und dann auf eine andere Erweiterung zurückgreift. :rolleyes: Und noch alberner wird es, wenn man bedenkt, was bislang genutzt wurde und was diese Erweiterungen bislang alle können, da wurde nicht rumgeheult. Jetzt gibt es diese Infos, jetzt ist es auch nicht recht und wird dann noch falsch ausgelegt.

https://addons.mozilla.org/en-us/firefox/addon/xstyle/ -> "Permissions" anklicken
This add-on can:
Access your data for all websites <-- Style-Funktion
Input data to the clipboard <-- Zwischenablage lesen/schreiben - erleichtert den Import/Export
Download files and read and modify the browser’s download history <-- Styles suchen/erneuern
Access browser tabs <-- Style-Funktion
Access browser activity during navigation <-- ohne geht es einfach nicht
Siehe unten


Für uBlock
https://addons.mozilla.org/de/firefox/addon/ublock-origin/versions/beta
Code:
"permissions": [
    "contextMenus",
    "privacy",
    "storage",
    "tabs",
    "webNavigation",
    "webRequest",
    "webRequestBlocking",
    "<all_urls>"
- Kontextmenü
- Privatsphäre/Datenschutz (klar, durch die Eingriffe)
- Storage, weil es die Daten auch speichern muss (LSO/Local Storage)
- Tabs - wo denn sonst
- WebNavigation, weil dadurch evtl die Navigation verändert wird
- Web-Zugriffe durch die Filterfunktion und Updates
- Blockieren durch die Filterfunktionen
- Alle Adressen, klar, sonst würde es nicht funktionieren

War bislang immer so, wurde akzeptiert, man muss es aber auch verstehen und einordnen können, und dafür muss man auch nicht studiert haben.

Nachtrag - bei uBlock heisst es bislang in den "Berechtigungen".
Einige Add-ons bitten um Berechtigungen, um gewisse Funktionen zu erfüllen. Da Sie die Kontrolle über Ihren Firefox haben, können Sie bestimmen, ob Sie diese Anfragen gewähren oder ablehnen.

Bitte beachten Sie, dass dieses Add-on ältere Technologie nutzt, was ihm Zugang zu allen Funktionen und Daten Ihres Browsers gestattet, ohne um Ihre Erlaubnis zu fragen.


Nachtrag 2
Alternativen zu TabMix Plus - scheint bei einigen echt nicht ohne zu gehen:
https://addons.mozilla.org/de/firefox/collections/yfdyh000/webextensions-for-tabs/
https://addons.mozilla.org/de/firefox/collections/grisfer/firefox/?page=2

Quelle: https://www.camp-firefox.de/forum/viewtopic.php?p=1044635#p1044635
(den Blödsinn danach kann man getrost ignorieren, dummes Bashing und die, die den toten Fisch gefangen haben)
 
Zuletzt bearbeitet:
D

ditto

Gast
Jaja, es ist schwer, einen fehlerfreien Browser zu erstellen :rolleyes:

https://bugzilla.mozilla.org/show_bug.cgi?id=1389160#c25

Auf zum 55.0.3
Will need to build a 55.0.3 for this
v56 und v57 sind auch betroffen, der gleiche Fehler wie vorher, nur anders.

Wer immer noch keinen v55 hat, wird wieder warten müssen auf das automatische Update, oder manuell laden
https://www.mozilla.org/en-US/firefox/all/?q=german

PS der Update-Stop betrifft nicht nur v54, sondern alle regulären (also nicht-ESR) Firefox, wie ich im Camp lesen konnte.
 
D

ditto

Gast
Ist fertig, wartet auf baldige Verteilung via
https://www.mozilla.org/en-US/firefox/all/

archiv. mozilla .org ist keine gute Quelle, wie manche immer meinen, denn bislang wurden 55.0.1 und 55.0.2 zurückgezogen*, 55.0.2 wurde nur manuell freigegeben.

* das automatische Update wurde für alle angehalten. (siehe oben)

Und Benutzer damit haben auch entsprechend Probleme - auf eigene Gefahr, wie üblich.
 
Oben